# $Revision: 1.10 $, $Date: 2010/06/06 08:31:42 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Chemistry
%define		pnam	MolecularMass
Summary:	Chemistry::MolecularMass - calculating molecular mass of a chemical compound given its chemical formula
Summary(pl.UTF-8):	Chemistry::MolecularMass - obliczanie masy cząsteczkowej związków zadanych wzorem chemicznym
Name:		perl-Chemistry-MolecularMass
Version:	0.1
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d0d56e49920ca0f18237ef81ef946ca6
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Chemistry::MolecularMass is an Object Oriented Perl module for
calculating molecular mass of chemical compounds implemented with Perl
and C. Molecular masses of elements stored in the module follow
recommendations of IUPAC (1995). The module includes elements from
H(1) through Uuu(113) and isotopes of hydrogen: deuterium and tritium.

%description -l pl.UTF-8
Chemistry::MolecularMass to obiektowo zorientowany moduł Perla do
obliczania masy cząsteczkowej związków chemicznych zaimplementowany w
Perlu i C. Masy cząsteczkowe pierwiastków są zapisane w module zgodnie
z zaleceniami IUPAC (1995). Moduł zawiera pierwiastki od H(1) do
Uuu(113) oraz izotopy wodoru: deuter i tryt.

%prep
%setup -q -n %{pdir}/%{pnam}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Chemistry/MolecularMass.pm
%dir %{perl_vendorarch}/auto/Chemistry/MolecularMass
%{perl_vendorarch}/auto/Chemistry/MolecularMass/MolecularMass.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Chemistry/MolecularMass/MolecularMass.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Chemistry-MolecularMass.spec,v $
Revision 1.10  2010/06/06 08:31:42  arekm
- release 3

Revision 1.9  2008/02/10 12:01:28  arekm
- rel 2

Revision 1.8  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.7  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.5  2004/11/03 22:30:09  paladine
- formatting

Revision 1.4  2004/05/07 09:39:45  ankry
- typo

Revision 1.3  2004/04/19 16:36:08  ankry
- license name unified

Revision 1.2  2004/04/19 15:05:18  qboosh
- pl, missing dir

Revision 1.1  2004/04/19 10:41:14  agaran
- new spec, nfy desc/pl
